- Видео 39
- Просмотров 99 186
Dev with Jovi
Добавлен 10 май 2016
Видео
LeetCode 36 Valid Sudoku in javascript
Просмотров 5 тыс.3 года назад
LeetCode 36 Valid Sudoku in javascript
LeetCode 35 Search Insert Position in javascript
Просмотров 2,4 тыс.3 года назад
LeetCode 35 Search Insert Position in javascript
LeetCode 34 Find First and Last Position of Element in Sorted Array in javascript
Просмотров 1,8 тыс.3 года назад
LeetCode 34 Find First and Last Position of Element in Sorted Array in javascript
LeetCode 33 Search in Rotated Sorted Array in javascript
Просмотров 9593 года назад
LeetCode 33 Search in Rotated Sorted Array in javascript
LeetCode 31 Next Permutation in javascript
Просмотров 1,8 тыс.3 года назад
LeetCode 31 Next Permutation in javascript
LeetCode 62 Unique Paths in javascript
Просмотров 5103 года назад
LeetCode 62 Unique Paths in javascript
LeetCode 56 Merge Intervals in javascript
Просмотров 1,2 тыс.3 года назад
LeetCode 56 Merge Intervals in javascript
LeetCode 70 Climbing Stairs in javascript
Просмотров 3,3 тыс.3 года назад
LeetCode 70 Climbing Stairs in javascript
LeetCode 73 Set Matrix Zeros in javascript
Просмотров 1,4 тыс.3 года назад
LeetCode 73 Set Matrix Zeros in javascript
LeetCode 83 Remove Duplicates from Sorted List in javascript
Просмотров 8093 года назад
LeetCode 83 Remove Duplicates from Sorted List in javascript
LeetCode 82 Remove Duplicates from Sorted List II in javascript
Просмотров 2643 года назад
LeetCode 82 Remove Duplicates from Sorted List II in javascript
LeetCode 206 Reverse Linked List in javascript
Просмотров 1513 года назад
LeetCode 206 Reverse Linked List in javascript
LeetCode 92 Reverse Linked List II in javascript
Просмотров 8273 года назад
LeetCode 92 Reverse Linked List II in javascript
LeetCode 121 Best Time to Buy and Sell Stock in javascript
Просмотров 4013 года назад
LeetCode 121 Best Time to Buy and Sell Stock in javascript
LeetCode 122 Best Time to Buy and Sell Stock II in javascript
Просмотров 1283 года назад
LeetCode 122 Best Time to Buy and Sell Stock II in javascript
LeetCode 125 Valid Palindrome in javascript
Просмотров 1,5 тыс.3 года назад
LeetCode 125 Valid Palindrome in javascript
LeetCode 134 Gas Station in javascript
Просмотров 7233 года назад
LeetCode 134 Gas Station in javascript
LeetCode 46 Permutations in javascript
Просмотров 3,5 тыс.3 года назад
LeetCode 46 Permutations in javascript
LeetCode 24 Swap Nodes in Pairs in javascript
Просмотров 7333 года назад
LeetCode 24 Swap Nodes in Pairs in javascript
LeetCode 54 Spiral Matrix in javascript
Просмотров 9 тыс.3 года назад
LeetCode 54 Spiral Matrix in javascript
LeetCode 21 Merge Two Sorted Lists in javascript
Просмотров 15 тыс.3 года назад
LeetCode 21 Merge Two Sorted Lists in javascript
LeetCode 53 Maximum Subarray in javascript
Просмотров 2,6 тыс.3 года назад
LeetCode 53 Maximum Subarray in javascript
LeetCode 20 Valid Parentheses in javascript
Просмотров 5243 года назад
LeetCode 20 Valid Parentheses in javascript
LeetCode 14 LeetCode Longest Common Prefix in javascript
Просмотров 3,5 тыс.3 года назад
LeetCode 14 LeetCode Longest Common Prefix in javascript
LeetCode 19 Remove Nth Node From End of List in javascript
Просмотров 1,7 тыс.4 года назад
LeetCode 19 Remove Nth Node From End of List in javascript
LeetCode 17 Letter Combinations of a Phone Number in javascript
Просмотров 1,7 тыс.4 года назад
LeetCode 17 Letter Combinations of a Phone Number in javascript
thank you this was very helpful <3 <3
This won't work for 0 so you must check each value as a string.
Man, you are amazing! I would love to understand your thought process when approaching problems like this.
Thank you for this code
improve to explain the solution little bit what is the purpose of writing each line clearly
Amazing thanks for the video
i want to understand the thought you gave behind indexing boxId formula
thanks
the guy who named the problem knew what he's doin
this is soo good!
There is a little bit confusion when direction ===up, it will overlap the first value of the matrix, but is's spiral matrix❤❤❤
Thank you for breaking tis down and sharing.
wow... this problem should go to hard criteria...
wow.. clever.. using sliding window
this is basically fibonachi
clever
the second solution is the most optimum.. but only necessary when you interview with FAANG
scary
This problem makes no sense in javascript
I think almost everywhere we can use arrays instead of this. For arrays solution needs 2 rows of code
Every time I got awesome explaination from you
holy moley. This is some elite level explaining. Love it, so simple, effective, and easy to understand
Great explanation, I just don't understand it, sadly
I think almost everywhere we can use arrays instead of this. For arrays solution needs 2 rows of code. I also can't understand all of this. I understood how it exactly compares but how it becomes one list and for that they use IF in the end - i don't know(
THANK YOU!!! I finally understand until seeing your video!
Hey, I usually love your solutions, but a quick suggestion, while explaining the problem statement, don't just read out the input as what's given there. Help people conceptualize the problem statement.
I mostly understand all your videos in one go, this was a bit confusing.
Hi Jovi, Your videos are really concise, to the point, and easy to grasp. Thank you for making these. Please make videos solving all the problems from "Sean Prashad" list or "cracking the coding interview" list in Javascript. I would really appreciate it. Thank you. Also, could you please share, what software you use for screen recording and video editing?
With Binary search, my main problem is with "<=" signs between comparison conditions. Be it (start < end) or (target >= nums[start])... I get super confused with the signs...
Beautiful solution. For anyone else confused with 'current' assignment, // current variable holds the last element that is present in the result array. // assigning to current, changes the value it points to. // however, modifying current indexes will modify the last value it's pointing at.
well explained , thanku sir 💯
The massive Issue I have is the problem itself because if you were to try and understand this and do this in another code editor like run js you would assume that list1 and list2 are arrays like [1,2,4] when they are actually not. You basically have to know what an array [1,2,3] would generate when you make it into a linkedlist/listnode which I am now trying to figure out before even getting to this step.
No idea why they name them list 1 and list 2
you came to any solution ? the weird thing is access value property from array input ?!!
this first solution was the first one i understood, this backtracking sheet was getting out of my mind. This is my first question on leet code (im starting from the 100liked questions) do you think is a good strategy?
im starting from the 100 liked questions too man, how's it going by the way?
why his give me the two lists as an array type and in the examples need output as array type ?
People saying it doesn't work but the ideas present here works and i was able to submit fine what I would suggest that might be tripping people up is look into the `boxidx` variable, feel like that's what may be messing up your code but i took some ideas from this solution and was able to get accepted thanks for the video
var searchInsert = function(nums, target) { for(let i = 0 ; i < nums.length ; i++){ if(nums[i]>=target){ return i; } } return nums.length; }; Clean code is the best solution 😃
thank you for uploading this video
Thank you for this solution. I am confused a little bit on the i < len -3. Why -3?
time complexity is very very high
brooo u piss me off dsliking this video
Great job
can i folow u on leet code ? i dont know why is not leeting me submited
thanks so much. this approach helped me finally understand this problem. Thank you thank you thank you!!!!
amazing solution. thank you!
Dude you blew my mind with the prime number keys how in the world did you come up with that
why changing the nodelist of head in while loop will change to dummy nodelist? i.e why return dummy even there are no change on dummy
I believe this is the best solution and explanation I've ever watched on RUclips.
Thank you for the video. I am grateful for your time and contribution. Kind regards, Akira.
yes. so easy. leetcode is fucking intense man...
what happens if we dont give delimeter ,when joining array.
i got it.
time complexity must be O(n)
It has to be O(n^2). If you find a solution with a complexity of O(n) you are either the worlds best programmer or lying